%global pkgvers 2
%global scdate0 20220706
%global schash0 76454e4c0c304a34b9915722de750887c3abbe89
%global branch0 master
%global source0 https://github.com/litex-hub/litehyperbus.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-litehyperbus
Version:        2022.04
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A small footprint and configurable HyperBus core
License:        BSD
BuildArch:      noarch

URL:            https://github.com/litex-hub/litehyperbus

BuildRequires:  git python3-devel python3-setuptools

Requires: %{name}-python3 = %{version}-%{release}

%global _python_dist_allow_version_zero 1

%description
LiteHyperBus provides a small footprint and configurable HyperBus core.

%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       litehyperbus

%description    python3
LiteHyperBus provides a small footprint and configurable HyperBus core.


%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}


%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
